#include<iostream>
#include<cmath>
using namespace std;
int main(){
	long long x, y;
	cin>>x>>y;
	int cifx[9], cify[9], z;
	for(int i=0; i<9; i++){	
		int i1=i;
		cifx[i]=x%10;
		x=x/10;
		cify[i]=y%10;
		y=y/10;
		if(cifx[i1]>cify[i1]){
			z+=cifx[i1]*pow(10, i);
		}
		if(cifx[i1]<cify[i1]){
			z+=cify[i1]*pow(10, i);
		}      
		if(cifx[i1]==cify[i1]){
			z+=cify[i1]*pow(10, i);
			i++;
			z+=cifx[i1]*pow(10, i);
		}                             
	}
	cout<<z<<"\n";
}